*,
::before,
::after {
    box-sizing: border-box;
    border-width: 0;
    border-style: solid;
    border-color: #e5e7eb1a;
}

nav a i {
    margin-right: 10px;
}

#lang-wrap span {
    cursor: pointer;
}

#lang-wrap span.active {
    border-bottom: 1px solid #636363;
}

body {
    font-family: "Noto Serif Bengali", sans-serif;
}

.password-eye-position {
    height: 110px;
}

.vertical-line {
    border-left: 1px solid #e5e7eb;
    /*light gray*/
    margin-left: 1rem;
    padding-left: 1rem;
}

.col-four-grid .grid>div:nth-child(4n + 1) {
    border-left: none;
    /*Remove left border from first column of each row */
    margin-left: 0rem;
    padding-left: 0rem;
}

.hr-loop hr:last-of-type {
    display: none;
    /*Hides the last <hr> element*/
}

.checklist-subtable td {
    border: unset;
}

#mobile-menu-button {
    position: absolute;
    z-index: 200;
    top: 0;
    left: 0;
}

.profileNav:hover {
    --tw-bg-opacity: 0.1;
    background-color: rgb(249 250 251 / var(--tw-bg-opacity));
    padding-left: 2px;
}

.printableLayout {
    display: none;
    max-width: 210mm;
    font-size: 14px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

/* .authenticated-layout {
    display: none;
} */

.profileTable>tbody>tr:nth-child(odd)>td {
    --tw-text-opacity: 1;
    color: rgb(75 85 99 / var(--tw-text-opacity));

}

.profileTable>tbody>tr>td {
    font-size: 12px;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    --tw-border-opacity: 1;
    border-color: rgb(229 231 235 / var(--tw-border-opacity));
}

.customStyle>tbody>tr:nth-child(odd)>td {
    --tw-text-opacity: 1;
    color: rgb(75 85 99 / var(--tw-text-opacity));
}

.customStyle>tbody>tr>td {
    font-size: 12px;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    --tw-border-opacity: 1;
    border: 1px solid rgb(229 231 235 / var(--tw-border-opacity));
    ;
}

.w-custom-150 {
    width: 150px;
}

.image {
    width: 150px;
    height: 150px;
}

.signature {
    width: 150px;
    height: 40px;
}
.react-datepicker__day--selected {
    --tw-border-opacity: 1;
    font-weight: 700 !important;
    border-radius: 0.3rem;
    background-color: rgb(240 253 244 / var(--tw-bg-opacity, 1)) !important;
    border: 1px solid rgb(21 128 61 / var(--tw-border-opacity, 1)) !important;
    color: rgb(21 128 61 / var(--tw-text-opacity, 1)) !important;
}

.react-datepicker__header {
    background-color: #f0f0f02b !important;
}
@media print {
    .authenticated-layout {
        display: none;
    }

    body {
        font-size: 12px;
        color: black;
        height: -moz-max-content;
        height: max-content;
        background-color: white !important;
    }

    .printableLayout {
        display: block;
        font-size: 14px !important;
        color: black !important;
        background-color: white !important;
        width: 100%;
    }

}
